Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.triplestore
Class TripleStoreFilterTripleWriter

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.triplestore.DelegatingTripleWriter
          edu.stanford.smi.protegex.owl.model.triplestore.TripleStoreFilterTripleWriter

All Implemented Interfaces:
  TripleWriter

    public class TripleStoreFilterTripleWriter

extends DelegatingTripleWriter

A DelegatingTripleWriter that only writes those triples that are also in a given TripleStore.

Author:
  Holger Knublauch

Constructor Summary
`TripleStoreFilterTripleWriter(TripleWriter delegate, TripleStore tripleStore)`

Method Summary
`void` | `write(RDFResource resource, RDFProperty property, Object object)` Writes a given Triples into this writer.

Methods inherited from class edu.stanford.smi.protegex.owl.model.triplestore.DelegatingTripleWriter
`addImport, close, getDelegate, init, setDelegate, writePrefix`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TripleStoreFilterTripleWriter

    public TripleStoreFilterTripleWriter(TripleWriter delegate,
                                         TripleStore tripleStore)

Method Detail

### write

    public void write(RDFResource resource,
                      RDFProperty property,
                      Object object)
               throws Exception

  Description copied from interface: `TripleWriter`
  Writes a given Triples into this writer.

  Specified by:
    `write` in interface `TripleWriter`
  Overrides:
    `write` in class `DelegatingTripleWriter`
  Throws:
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.